Skip to main content
POST
Submit a story with signed consent

Path Parameters

slug
string
required

Public intake path slug.

Body

multipart/form-data

Validated request fields for this operation.

short_update
string
required

Short update. Validation: required, string, max:1000.

Maximum string length: 1000
Example:

"Students received their new school supplies."

Consent scope. Validation: required, string; allowed values: donor_safe, public_safe.

Available options:
donor_safe,
public_safe
Example:

"donor_safe"

signer_name
string
required

Signer name. Validation: required, string, max:255.

Maximum string length: 255
Example:

"Jane Donor"

signature_text
string
required

Signature text. Validation: required, string, max:255.

Maximum string length: 255
Example:

"Jane Donor"

release_accepted
boolean
required

Release accepted. Validation: accepted.

Example:

true

program_id
integer | null

Program id. Validation: nullable, integer.

Example:

1

program_label
string | null

Program label. Validation: nullable, string, max:255.

Maximum string length: 255
Example:

"Education"

impact_metrics
string | null

Impact metrics. Validation: nullable, string, max:2000.

Maximum string length: 2000
Example:

"Impact Metrics"

media_source_url
string<uri> | null

Media source url. Validation: nullable, url, max:2048.

Maximum string length: 2048
Example:

"https://example.org/story"

cost_amount
number | null

Cost amount. Validation: nullable, numeric, min:0.

Required range: x >= 0
Example:

25

cost_currency
string | null

Cost currency. Validation: nullable, string, max:16.

Maximum string length: 16
Example:

"Cost Currency"

cost_label
string | null

Cost label. Validation: nullable, string, max:255.

Maximum string length: 255
Example:

"Cost Label"

submitter_name
string | null

Submitter name. Validation: nullable, string, max:255.

Maximum string length: 255
Example:

"Submitter Name"

submitter_email
string<email> | null

Submitter email. Validation: nullable, email, max:255.

Maximum string length: 255
Example:

"jane@example.org"

signer_email
string<email> | null

Signer email. Validation: nullable, email, max:255.

Maximum string length: 255
Example:

"jane@example.org"

signer_role
string | null

Signer role. Validation: nullable, string, max:255.

Maximum string length: 255
Example:

"Signer Role"

release_text
string | null

Release text. Validation: nullable, string, max:4000.

Maximum string length: 4000
Example:

"Release Text"

release_file
file | null

Release file. Validation: nullable, file, max:10240, mimes:pdf,jpg,jpeg,png,webp,doc,docx; maximum file size 10240 KiB.

Response

Operation result.

status
string
Example:

"success"

data
object